Get Pool and Operator mappings for Validators.
curl --request GET \
--url https://api.rated.network/v1/eth/validators/{validator_index_or_pubkey}/mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/validators/{validator_index_or_pubkey}/mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/validators/{validator_index_or_pubkey}/mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"depositAddresses": [
"0x74134d0c91798d720a5585364bb4be7396c5b973"
],
"dvtOperators": [],
"nodeOperators": [],
"validatorIndex": 100,
"validatorPubkey": "0xb5bc96b70df0dfcc252c9ff0d1b42cb6dc0d55f8defa474dc0a5c7e0402c241e2850fea9c582e276b638b3c2c3a5ec55",
"withdrawalAddress": "0xfff1ce616cf83327981bf61396ad0c04e0c8b771"
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Metadata
Get Pool and Operator mappings for Validators.
This endpoint returns information about the pools and operators mapped to a validator. Use this endpoint to retrieve pool and operator mapping information for a single validator.
GET
/
v1
/
eth
/
validators
/
{validator_index_or_pubkey}
/
mappings
Get Pool and Operator mappings for Validators.
This endpoint is available only to annual commitment and custom Enterprise plans. Get in touch with [email protected] to learn more.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Required range:
x >= 0Response
Successful Response
Required range:
x >= 0